<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>background-size</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 2px;
        }

        .imagen {
            background-image: url('../img/page.png');
        }

        .contain {
            background-size: contain;
        }

        .cover {
            background-size: cover;
        }

        .medida {
            background-size: 6px 10px;
        }
    </style>
</head>

<body>
    <div>
        <h2>auto</h2>
        <div class="imagen">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>contain</h2>
        <div class="imagen contain">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>cover</h2>
        <div class="imagen cover">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
    <div>
        <h2>6px 10px</h2>
        <div class="imagen medida">
            <div>Párrafo 1</div>
            <div>Párrafo 2</div>
            <div>Párrafo 3</div>
            <div>Párrafo 4</div>
            <div>Párrafo 5</div>
            <div>Párrafo 6</div>
        </div>
    </div>
</body>

</html>